summaryrefslogtreecommitdiff
path: root/BS/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'BS/run.sh')
-rwxr-xr-xBS/run.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/BS/run.sh b/BS/run.sh
new file mode 100755
index 0000000..cf32e4f
--- /dev/null
+++ b/BS/run.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+echo "prim-benchmarks VA (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 1 2 4 8 16 32 64 128 256 512; do
+ for nr_tasklets in 1 2 3 4 6 8 10 12 16 20 24; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/bs_host -w 0 -e 100 || true
+ fi
+ done
+done